petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMAddLabel

Add the label to this mesh

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMAddLabel(DM dm, DMLabel label)

Not Collective

### Input Parameters

| dm | - The DM object
| label | - The DMLabel

### See Also

DMCreateLabel(), DMHasLabel(), DMGetLabelValue(), DMSetLabelValue(), DMGetStratumIS()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/dm/label/examples/tutorials/ex1.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages